Loading...
Searching...
No Matches
ne10_fir_interpolate_instance_f32_t Struct Reference

Instance structure for the floating-point FIR Interpolation. More...

`#include <NE10_types.h>`

## Public Attributes

ne10_uint8_t | L
| Interpolation Factor.
ne10_uint16_t | phaseLength
| Length of each polyphase filter component.
ne10_float32_t * | pCoeffs
| Points to the coefficient array.
ne10_float32_t * | pState
| Points to the state variable array.

## Detailed Description

Instance structure for the floating-point FIR Interpolation.

Definition at line 395 of file NE10_types.h.

## Member Data Documentation

## L

ne10_uint8_t ne10_fir_interpolate_instance_f32_t::L

Interpolation Factor.

Definition at line 397 of file NE10_types.h.

## pCoeffs

ne10_float32_t* ne10_fir_interpolate_instance_f32_t::pCoeffs

Points to the coefficient array.

The array is of length numTaps.

Definition at line 399 of file NE10_types.h.

## phaseLength

ne10_uint16_t ne10_fir_interpolate_instance_f32_t::phaseLength

Length of each polyphase filter component.

Definition at line 398 of file NE10_types.h.

## pState

ne10_float32_t* ne10_fir_interpolate_instance_f32_t::pState

Points to the state variable array.

The array is of length numTaps+maxBlockSize-1.

Definition at line 400 of file NE10_types.h.

The documentation for this struct was generated from the following file:

- NE10_types.h